#include <stdint.h>
#include <stddef.h>
#include "syscall.h"
#include "time.h"
#include "sysdefs/time.h"
#include "time/time.h"
#include "errors.h"

int32_t SYSCALL1(sys_time, timestruct1) {
  Time *time = (Time *)timestruct1;
  time_get(time);
  return E_OK;
}
